<?php

namespace catchAdmin\flange\model;

use catcher\base\CatchModel as Model;

class Flange extends Model
{
    // 表名
    public $name = 'flange';
    // 数据库字段映射
    public $field = array(
        'id',
        // 编号
        'number',
        // 型号
        'model',
        // 所属部门
        'department_id',
        // 名称
        'name',
        // 使用状态 1已使用 -1未使用 -2废弃
        'is_used',
        // 品牌
        'brand',
        // 供应商
        'supplier',
        // 出厂日期
        'out_date',
        // 注释
        'remark',
        // 扭矩
        'torque',
        // 压力
        'stress',
        // 紧固方案
        'fastening_scheme',
        // 风机id
        'fan_id',
        // 安装位置
        'install_position',
        // 紧固信息
        'fastening_information',
        // 维护信息
        'maintenance_information',
        // 创建人ID
        'creator_id',
        // 创建时间
        'created_at',
        // 更新时间
        'updated_at',
        // 软删除
        'deleted_at',
    );
}